Bug 1254359 - VM fails to launch on Amazon with NameError log_header
VM fails to launch on Amazon with NameError log_header
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Joe Vlcek
Jeff Teehan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 16:32 EDT by Joe Vlcek
Modified: 2015-12-08 08:27 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:27:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evm.log snippets for two failures (21.92 KB, text/plain)
2015-10-02 23:48 EDT, Jeff Teehan
no flags Details

  None (edit)
Description Joe Vlcek 2015-08-17 16:32:48 EDT
Description of problem:
Launching a VM on Amazon fails with error:

[NameError]: undefined local variable or method `log_header'
for #<ManageIQ::Providers::Amazon::CloudManager::Provision:0x0000001265c658>    




How reproducible:

Attempt to launch a new VM on Amazon



Additional info:

This was introduced with the changes to logging
specifically: https://github.com/ManageIQ/manageiq/commit/3afeaed50431fbf3fc4ab288ec8fe8e847be5393#diff-0128584d1fc45356304e8ab762445e37L40

#{log_header}  should now be #{_log.prefix}
Comment 2 CFME Bot 2015-08-18 18:08:18 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3c1442dea4946e58ca469b8275e30a87702019ed

commit 3c1442dea4946e58ca469b8275e30a87702019ed
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Mon Aug 17 17:44:07 2015 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Mon Aug 17 17:44:07 2015 -0400

    Fix [NameError]: undefined local variable or method `log_header' for ManageIQ::Providers::Amazon::CloudManager::Provision
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254359

 .../manageiq/providers/amazon/cloud_manager/provision/cloning.rb      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 3 CFME Bot 2015-08-18 18:09:26 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3c1442dea4946e58ca469b8275e30a87702019ed

commit 3c1442dea4946e58ca469b8275e30a87702019ed
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Mon Aug 17 17:44:07 2015 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Mon Aug 17 17:44:07 2015 -0400

    Fix [NameError]: undefined local variable or method `log_header' for ManageIQ::Providers::Amazon::CloudManager::Provision
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254359

 .../manageiq/providers/amazon/cloud_manager/provision/cloning.rb      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 4 CFME Bot 2015-08-18 18:11:48 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3c1442dea4946e58ca469b8275e30a87702019ed

commit 3c1442dea4946e58ca469b8275e30a87702019ed
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Mon Aug 17 17:44:07 2015 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Mon Aug 17 17:44:07 2015 -0400

    Fix [NameError]: undefined local variable or method `log_header' for ManageIQ::Providers::Amazon::CloudManager::Provision
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254359

 .../manageiq/providers/amazon/cloud_manager/provision/cloning.rb      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 5 Jeff Teehan 2015-10-02 23:47:48 EDT
I still can't get it to work.  I used a 5.4.3 appliance just to make sure I was connected to Amazon properly and it provisioned a VM just fine.

The provision request gets approved okay, but never procedes from a UI standpoint.  In the evm.log I see lines similar to these for all the attempts.

I'll attach the two log snippets as a file instead of pasting them here.

As always, do not hesitate to contact me directly if you want to setup the test with an active amazon account.
Comment 6 Jeff Teehan 2015-10-02 23:48 EDT
Created attachment 1079579 [details]
evm.log snippets for two failures
Comment 7 Joe Vlcek 2015-10-05 09:12:56 EDT
(In reply to Jeff Teehan from comment #6)
> Created attachment 1079579 [details]
> evm.log snippets for two failures

Jeff,  This was only fixed upstream. The "Target Release is: "5.5"

So it will not be in any 5.4.z builds.

Moving back to post as the fix is not expected to be in the version you
tested. Please let me know if you still feel this is an issue.

JoeV
Comment 8 Jeff Teehan 2015-10-05 14:39:42 EDT
Sorry Joe, that's my fault for not being more specific.  The reference to 5.4.3 was only to indicate that my system was working correctly prior to 5.5 and that the Amazon connection was live and correct.

All of the actual testing and the included information I provided was in fact using 5.5.0.3.  (5.5.0.3-alpha1.2.20150929172214_2eda7b4)

As near as Thom and I can tell, the ability to provision a VM from Amazon using 5.5 is not working.  It may be something else, but it is blocking this verification.  I'll leave the appliance running with Amazon configured for a while should anyone wish to take a look.  (https://10.8.59.195/support/index?support_tab=about)

As always, feel free to hit me up if you want to walk though it together.
Comment 9 Jeff Teehan 2015-10-05 14:50:37 EDT
I want to try another appliance.  Nothing appears to be provisioning right now and it may not be related to this bz.  Give me a day.
Comment 10 Joe Vlcek 2015-10-05 15:53:06 EDT
(In reply to Jeff Teehan from comment #9)
> I want to try another appliance.  Nothing appears to be provisioning right
> now and it may not be related to this bz.  Give me a day.

Thank you Jeff. Keep me posted and reopen if you think this is still an issue.

JoeV
Comment 11 Jeff Teehan 2015-10-05 17:23:45 EDT
Oki Dokie

Looks like with all the manual config changes I made troubleshooting earlier issues, I killed the appliance.  Nothing was provisioning.

So, with a new appliance performing all the above steps the automation proceeded and the VM was provisioned per the assigned template.

Moving to Verified as this issue has been resolved.

Description	Provision from [ws2012-ec2-base] to [ws2012-bz1254359]
Last Message	Vm Provisioned Successfully
Created On	Mon Oct 05 21:16:27 UTC 2015
Last Update	Mon Oct 05 21:18:30 UTC 2015
Completed	Mon Oct 05 21:18:30 UTC 2015

and

ec2-54-215-185-106.us-west-1.compute.amazonaws.com
Instance ID:  i-04b4e2c4
Instance State: Running
Comment 12 Joe Vlcek 2015-10-05 17:36:22 EDT
(In reply to Jeff Teehan from comment #11)
> Oki Dokie
> 
> Looks like with all the manual config changes I made troubleshooting earlier
> issues, I killed the appliance.  Nothing was provisioning.
> 
> So, with a new appliance performing all the above steps the automation
> proceeded and the VM was provisioned per the assigned template.
> 
> Moving to Verified as this issue has been resolved.
> 
> Description	Provision from [ws2012-ec2-base] to [ws2012-bz1254359]
> Last Message	Vm Provisioned Successfully
> Created On	Mon Oct 05 21:16:27 UTC 2015
> Last Update	Mon Oct 05 21:18:30 UTC 2015
> Completed	Mon Oct 05 21:18:30 UTC 2015
> 
> and
> 
> ec2-54-215-185-106.us-west-1.compute.amazonaws.com
> Instance ID:  i-04b4e2c4
> Instance State: Running

:thumbsup: Thanks Jeff!
Comment 14 errata-xmlrpc 2015-12-08 08:27:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.